Subject: Re: [mpls] newpublished draft-kompella-mpls-special-purpose-labels-01

From: t.petch <[email-masked]>
Date: Thu, 8 Nov 2012 15:56:26 +0000

----- Original Message -----
From: "Adrian Farrel" <[email-masked]>
To: "'Andrew G. Malis'" <[email-masked]>; "'Loa Andersson'"
<[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, October 24, 2012 5:39 PM

> Hi Andy,
>
> Section 3.2 is about withdrawing reserved labels. I suspect that we
will all be
> retired long before the MPLS WG closes down :-)
>
> However, bullet (a) of 3.2 says:
>
>        A label value that has been assigned from the "Special Purpose
>        MPLS Label Values" may be deprecated by IETF consensus with
>        review by the MPLS working group (or designated experts if the
>        working group or a successor does not exist).
>
> So a designated expert (appointed by the IESG as with all designated
experts)
> will be required. If one has not been appointed at the time of
retirement of the
> label, IANA would ask the IESG to appoint one. I think this would be
the same
> expert(s) as for label allocation.
>
> The other steps in the process just ask for RFCs (i.e. publication
requests for
> I-Ds) on specific tracks. I suppose that whoever wants to retire a
label will
> write the RFCs.
>
> Did we miss any other decision points?

Perhaps

3.2   b.  12 months after the RFC deprecating the label value is
published,
       an IETF-wide survey may be conducted to determine if the
       deprecated label value is still in use.  If the survey indicates
       that the deprecated label value is in use, the survey may be
       repeated after a further 6 months.

Someone has to conduct the survey but even if the resouces to do that
appear, for example in the relevant IETF Area list, establishing the
non-use of protocol values is tough.  I have
seen it tried in other contexts, such as URI schemes, and it is quite
amazing what comes out of the woodwork.  The only time that it appears
to be successful is when the value never got deployed beyond those who
thought it a good idea and standardized it, only to see a better idea
rapidly supersede their running code.

If the MPLS WG is no longer active, then I think that the prospects of
the IETF establishing that a label is no longer in use is so close to
vanishing as to be non-existent.  Other fora might then be more
successful; ITU-T? NANOG?

Tom Petch

> Cheers,
> Adrian
>
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> > Andrew G. Malis
> > Sent: 24 October 2012 16:30
> > To: Loa Andersson
> > Cc: [email-masked]
> > Subject: Re: [mpls] new published
draft-kompella-mpls-special-purpose-labels-
> > 01
> >
> > On the whole, it looks good. I'm curious who's going to have the
> > responsibility of running the process in section 3.2. IANA?
(probably
> > not). The WG chairs?  What if there's no longer an MPLS working
group
> > at some point? This should be clarified.
> >
> > Thanks,
> > Andy
> >
> > On Wed, Oct 24, 2012 at 6:13 AM, Loa Andersson <[email-masked]> wrote:
> > > Working Group,
> > >
> > > the decreasing number of "reserved labels" has been of concern
> > > for some time. draft-kompella-mpls-special-purpose-labels-01
proposes
> > > a way to increase the the number of special purpose labels.
> > >
> > > We propose to take the current label 15 and use it as an extension
> > > label, i.e. any label that follows label 15 should be interpreted
> > > as belonging to the new "extension registry" that we propose.
> > >
> > > We also propose changing the name of the special purpose labels
> > > from "reserved labels" to "special purpose labels"; the main
reason here
> > > is that in the IANA registries "reserved" has an another meaning.
> > >
> > > Please review the draft and comment to the list.
> > >
> > > /Loa
> > > --
> > >
> > >
> > > Loa Andersson                         email:
[email-masked]
> > > Sr Strategy and Standards Manager            [email-masked]
> > > Ericsson Inc                          phone: +46 10 717 52 13
> > >                                              +46 767 72 92 13
> > > _______________________________________________